{
  "name": "kotahi",
  "version": "2.1.0",
  "private": true,
  "description": "Kotahi - open journals",
  "repository": {
    "type": "git",
    "url": "https://gitlab.coko.foundation/kotahi/kotahi"
  },
  "license": "MIT",
  "scripts": {
    "__cleanNodeModules": "find . -name 'node_modules' -type d -prune -print -exec rm -rf '{}' \\;",
    "build": "NODE_ENV=production pubsweet build",
    "client": "pubsweet start:client",
    "console": "node --experimental-repl-await -r ./scripts/preload.js",
    "cz": "git-cz",
    "lint": "npm run lint:js && npm run lint:style",
    "lint:js": "eslint .",
    "lint:style": "stylelint **.js",
    "precommit": "lint-staged",
    "reset": "pubsweet setupdb --clobber",
    "seedFromDump": "node scripts/seedFromDump.js",
    "server": "yarn dotenv yarn pubsweet start:server",
    "server:test": "yarn dotenv node node_modules/pubsweet-server/src/start",
    "start:server-and-client": "start-test server 'http://localhost:3000/healthcheck' client",
    "start:services": "docker-compose up db",
    "storybook": "coko-storybook",
    "test:server-and-client": "start-test server:test 'http://localhost:3000/healthcheck' client",
    "test:all:chrome": "start-test test:server-and-client 4000 test:chrome",
    "test:all:firefox": "start-test test:server-and-client 4000 test:firefox",
    "test:chrome": "cypress run --browser chrome --spec 'cypress/e2e/**/**.js'",
    "test:firefox": "cypress run --browser firefox --headless --spec 'cypress/e2e/**/**.js'"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS && lint-staged"
    }
  },
  "config": {
    "commitizen": {
      "path": "cz-customizable"
    }
  },
  "resolutions": {
    "@pubsweet/ui": "12.6.0",
    "babel-plugin-styled-components": "1.11.1",
    "bcrypt": "^3.0.6",
    "formik": "2.2.6",
    "fs-capacitor": "^6.1.0",
    "graphql": "15.5.0",
    "pg": "8.4.0",
    "prettier": "2.2.1",
    "react": "16.14.0",
    "prosemirror-inputrules": "1.2.0",
    "prosemirror-state": "1.4.2",
    "prosemirror-view": "1.30.2",
    "styled-components": "5.2.1"
  },
  "dependencies": {
    "@apollo/client": "3.2.2",
    "@apollo/react-testing": "3.1.4",
    "@babel/core": "7.11.6",
    "@coko/server": "2.3.0",
    "@fontsource/roboto": "^4.5.8",
    "@pubsweet/db-manager": "^3.1.24",
    "@pubsweet/errors": "^2.0.40",
    "@pubsweet/job-xsweet": "^2.2.1",
    "@pubsweet/model-user": "6.0.3",
    "@pubsweet/models": "^0.3.15",
    "@pubsweet/ui": "12.6.0",
    "@pubsweet/ui-toolkit": "^2.3.5",
    "@rjsf/core": "4.2.3",
    "apollo-upload-client": "14.1.2",
    "archiver": "^5.3.0",
    "atob": "^2.1.2",
    "axios": "^0.21.1",
    "bcrypt": "3.0.8",
    "body-parser": "^1.19.0",
    "cheerio": "^1.0.0-rc.10",
    "citeproc-js-node": "^0.0.3",
    "color": "^3.0.0",
    "config": "3.3.2",
    "cypress": "^12.13.0",
    "date-fns": "^2.29.3",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "faker": "4.1.0",
    "fast-xml-parser": "^4.0.7",
    "fnv-plus": "^1.3.1",
    "form-data": "^4.0.0",
    "formik": "2.2.6",
    "fs-extra": "4.0.3",
    "google-spreadsheet": "^3.1.15",
    "graphql": "^15.5.0",
    "graphql-tag": "^2.10.1",
    "handlebars": "^4.7.7",
    "he": "^1.2.0",
    "history": "4.10.1",
    "html-to-text": "^8.0.0",
    "htmlparser2": "^7.2.0",
    "i18next": "^23.4.1",
    "i18next-browser-languagedetector": "^6.1.4",
    "inversify": "^5.1.1",
    "isomorphic-dompurify": "0.19.0",
    "libxmljs2-xsd": "^0.28.0",
    "list-contents": "^4.0.3",
    "lodash": "^4.17.20",
    "mathjax-node": "^2.1.1",
    "moment": "2.27.0",
    "moment-timezone": "^0.5.34",
    "multer": "^1.4.2",
    "node-fetch": "^2.6.1",
    "node-schedule": "^2.1.0",
    "nodemailer": "^6.6.2",
    "nunjucks": "^3.2.3",
    "objection": "^2.2.14",
    "passport": "^0.4.1",
    "passport-orcid": "0.0.4",
    "prop-types": "15.7.2",
    "prosemirror-autocomplete": "^0.4.3",
    "prosemirror-commands": "1.5.1",
    "prosemirror-inputrules": "1.2.0",
    "prosemirror-model": "1.19.0",
    "prosemirror-state": "1.4.2",
    "prosemirror-transform": "1.7.1",
    "prosemirror-view": "1.30.2",
    "pubsweet-client": "^10.2.5",
    "rc-tooltip": "5.1.1",
    "react": "^16.13.1",
    "react-adopt": "^0.6.0",
    "react-beautiful-dnd": "^13.1.0",
    "react-calendar": "^3.9.0",
    "react-contenteditable": "^3.3.6",
    "react-date-picker": "^8.2.0",
    "react-dom": "^16.13.1",
    "react-dropdown": "^1.11.0",
    "react-dropzone": "10.2.2",
    "react-feather": "^1.1.6",
    "react-google-charts": "^4.0.0",
    "react-hot-loader": "^4.13.0",
    "react-i18next": "^13.0.3",
    "react-image": "4.0.3",
    "react-mentions": "3.3.2",
    "react-modal": "^3.14.3",
    "react-moment": "0.9.7",
    "react-paginate": "^7.1.3",
    "react-panelgroup": "^1.0.12",
    "react-powerplug": "^1.0.0",
    "react-router-dom": "5.2.0",
    "react-router-prop-types": "^1.0.5",
    "react-select": "^4.2.1",
    "react-toastify": "^7.0.4",
    "react-visibility-sensor": "5.1.1",
    "reactjs-popup": "^2.0.5",
    "recharts": "^2.0.9",
    "regenerator-runtime": "^0.13.7",
    "sharp": "^0.29.3",
    "striptags": "^3.1.1",
    "styled-components": "^5.2.1",
    "superagent": "^3.8.3",
    "supertest": "3.4.2",
    "turndown": "^7.0.0",
    "uuid": "^8.3.2",
    "wax-prosemirror-core": "^0.8.10",
    "wax-prosemirror-services": "^0.8.10",
    "wax-table-service": "^0.8.10",
    "winston": "2.4.5",
    "xml-js": "^1.6.11",
    "xml2js": "^0.4.23",
    "xpub-journal": "0.1.0",
    "xpub-validators": "0.0.28"
  },
  "devDependencies": {
    "@babel/core": "7.11.6",
    "@babel/plugin-proposal-class-properties": "7.10.4",
    "@babel/plugin-proposal-decorators": "7.10.5",
    "@babel/plugin-proposal-export-namespace-from": "7.10.4",
    "@babel/plugin-proposal-function-sent": "7.10.4",
    "@babel/plugin-proposal-json-strings": "7.10.4",
    "@babel/plugin-proposal-numeric-separator": "7.10.4",
    "@babel/plugin-proposal-throw-expressions": "7.10.4",
    "@babel/plugin-syntax-dynamic-import": "7.8.3",
    "@babel/plugin-syntax-import-meta": "7.10.4",
    "@babel/preset-env": "7.11.5",
    "@babel/preset-react": "7.10.4",
    "@coko/lint": "^1.4.0",
    "@coko/storybook": "^1.2.2",
    "babel-core": "7.0.0-bridge.0",
    "babel-jest": "23.6.0",
    "babel-loader": "8.1.0",
    "babel-plugin-parameter-decorator": "^1.0.16",
    "babel-plugin-styled-components": "1.11.1",
    "babel-preset-minify": "0.5.1",
    "clean-webpack-plugin": "0.1.19",
    "compression-webpack-plugin": "3.1.0",
    "copy-webpack-plugin": "4.6.0",
    "css-loader": "0.28.11",
    "dotenv-cli": "^4.0.0",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.6",
    "file-loader": "1.1.11",
    "html-webpack-plugin": "3.2.0",
    "jest": "^27.1.0",
    "mini-css-extract-plugin": "0.11.2",
    "node-wait-for-it": "^0.2.0",
    "nodemon": "^2.0.6",
    "react-hot-loader": "^4.13.0",
    "react-router-redux": "5.0.0-alpha.9",
    "speed-measure-webpack-plugin": "1.3.3",
    "start-server-and-test": "1.11.5",
    "style-loader": "0.23.1",
    "uglifyjs-webpack-plugin": "1.3.0",
    "url-loader": "2.3.0",
    "webpack": "4.44.2",
    "webpack-bundle-analyzer": "3.9.0",
    "webpack-cli": "3.3.12",
    "webpack-dev-middleware": "3.7.2",
    "webpack-dev-server": "3.11.0",
    "webpack-hot-middleware": "2.25.0"
  }
}
